aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMario Limonciello <mario.limonciello@amd.com>2023-11-08 17:14:52 -0600
committerMario Limonciello <mario.limonciello@amd.com>2023-11-08 17:14:52 -0600
commitcf8315ded9b422d2e8b620ffe8bb661221639c8f (patch)
tree915c93f9cdcc895baee8a08c31c5c7c7d782143f
parent195eae5962588c588ec1ef8d34a716da008afdb1 (diff)
downloadlinux-firmware-cf8315ded9b422d2e8b620ffe8bb661221639c8f.tar.gz
Ensure rdfind is installed
Signed-off-by: Mario Limonciello <mario.limonciello@amd.com>
-rwxr-xr-xcopy-firmware.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/copy-firmware.sh b/copy-firmware.sh
index cca3913b..f9b1f0ff 100755
--- a/copy-firmware.sh
+++ b/copy-firmware.sh
@@ -69,6 +69,11 @@ if [ -z "$destdir" ]; then
exit 1
fi
+if ! which rdfind 2>/dev/null >/dev/null; then
+ echo "ERROR: rdfind is not installed"
+ exit 1
+fi
+
# shellcheck disable=SC2162 # file/folder name can include escaped symbols
grep -E '^(RawFile|File):' WHENCE | sed -E -e 's/^(RawFile|File): */\1 /;s/"//g' | while read k f; do
test -f "$f" || continue